## Index

### Enumerations

- TILE_TYPE

### Classes

- DefiniteMap
- MapWithId
- Serializer

### Interfaces

- IGraphGameMetadata
- IGraphJson
- IGraphSound
- IGraphSprite
- ISourceNode

### Type aliases

- BracketId
- CollisionId
- ColorId
- CommandId
- GraphTile
- NeighborId
- RuleId
- SoundId
- SpriteId
- TileId
- TileWithModifierId

### Functions

- toRULE_DIRECTION

## Type aliases

### BracketId

BracketId: string

- Defined in parser/serializer.ts:80

### CollisionId

CollisionId: string

- Defined in parser/serializer.ts:79

### ColorId

ColorId: string

- Defined in parser/serializer.ts:76

### CommandId

CommandId: string

- Defined in parser/serializer.ts:83

### GraphTile

GraphTile: ISourceNode & object | object | object | object

- Defined in parser/serializer.ts:116

### NeighborId

NeighborId: string

- Defined in parser/serializer.ts:81

### RuleId

RuleId: string

- Defined in parser/serializer.ts:84

### SoundId

SoundId: string

- Defined in parser/serializer.ts:85

### SpriteId

SpriteId: string

- Defined in parser/serializer.ts:77

### TileId

TileId: string

- Defined in parser/serializer.ts:78

### TileWithModifierId

TileWithModifierId: string

- Defined in parser/serializer.ts:82

## Functions

### toRULE_DIRECTION

- toRULE_DIRECTION(dir: RULE_DIRECTION): RULE_DIRECTION

- - Defined in parser/serializer.ts:166

  #### Parameters

  - ##### dir: RULE_DIRECTION

  #### Returns RULE_DIRECTION

Generated using TypeDoc